Bug 117412 - can not compile src rpm
can not compile src rpm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-03 13:56 EST by Brian Millett
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-21 09:26:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Millett 2004-03-03 13:56:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040302 Firefox/0.8.0+

Description of problem:
After updating, evolution crashes when trying to print, or popup any
dialog box.  I tried to recompile the evolution-1.4.5-7.src.rpm, but
it errors.  Here is the error:

 gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..
-DEVOLUTION_IMAGES=\"/usr/share/evolution/1.4/images\"
-DEVOLUTION_CATEGORY_ICONS=\"/usr/share/evolution/1.4/images/categories\"
-DG_LOG_DOMAIN=\"e-utils\" -DG_DISABLE_DEPRECATED
-DGTK_DISABLE_DEPRECATED
-I/home/bpm/rpmbuild/BUILD/evolution-1.4.5/db-3.1.17/build_unix
-DORBIT2=1 -pthread -I/usr/include/libgnome-2.0
-I/usr/include/libgnomeui-2.0 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/orbit-2.0
-I/usr/include/libbonobo-2.0 -I/usr/include/gconf/2
-I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include
-I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomecanvas-2.0
-I/usr/include/gtk-2.0 -I/usr/include/libart-2.0
-I/usr/include/libbonoboui-2.0 -I/usr/include/pango-1.0
-I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/X11R6/include -I/usr/include/libxml2
-pthread -DORBIT2=1 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/gconf/2
-I/usr/include/orbit-2.0 -I/usr/include/libxml2
-I/usr/include/libbonoboui-2.0 -I/usr/include/libbonobo-2.0
-I/usr/include/libgnomecanvas-2.0 -I/usr/include/libgnome-2.0
-I/usr/include/bonobo-activation-2.0 -I/usr/include/libart-2.0
-I/usr/include/pango-1.0 -I/usr/include/freetype2
-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/X11R6/include
-I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include
-I/usr/include/libglade-2.0 -I/usr/include/gal-2.0
-I/usr/include/libgnomeprint-2.2 -I/usr/include/libgnomeui-2.0
-I/usr/include/soup-2.0 -I/usr/include/et -O2 -g -pipe -march=i386
-mcpu=i686 -fPIC -I/usr/include/et -I/usr/kerberos/include -Wall
-Wunused -Wmissing-prototypes -Wmissing-declarations -c
e-dialog-widgets.c -MT e-dialog-widgets.lo -MD -MP -MF
.deps/e-dialog-widgets.TPlo  -fPIC -DPIC -o .libs/e-dialog-widgets.o
e-dialog-widgets.c:183: error: syntax error before "GtkOptionMenu"
e-dialog-widgets.c: In function `hook_option_menu':
e-dialog-widgets.c:190: error: `value_var' undeclared (first use in
this function)
e-dialog-widgets.c:190: error: (Each undeclared identifier is reported
only oncee-dialog-widgets.c:190: error: for each function it appears in.)
e-dialog-widgets.c:191: error: `info' undeclared (first use in this
function)
e-dialog-widgets.c:193: error: `omenu' undeclared (first use in this
function)
e-dialog-widgets.c:197: error: `dialog' undeclared (first use in this
function)
e-dialog-widgets.c:201: warning: implicit declaration of function
`gtk_option_menu_get_menu'
e-dialog-widgets.c: At top level:
e-dialog-widgets.c:210: error: syntax error before '*' token
e-dialog-widgets.c: In function `get_option_menu_value':
e-dialog-widgets.c:215: error: `value_var' undeclared (first use in
this function)
e-dialog-widgets.c:216: error: `info' undeclared (first use in this
function)
e-dialog-widgets.c:218: error: `omenu' undeclared (first use in this
function)
e-dialog-widgets.c: In function `e_dialog_option_menu_set':
e-dialog-widgets.c:572: warning: implicit declaration of function
`GTK_IS_OPTION_MENU'
e-dialog-widgets.c:578: warning: implicit declaration of function
`gtk_option_menu_set_history'
e-dialog-widgets.c:578: warning: implicit declaration of function
`GTK_OPTION_MENU'
make[4]: *** [e-dialog-widgets.lo] Error 1
make[4]: Leaving directory
`/home/bpm/rpmbuild/BUILD/evolution-1.4.5/e-util'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory
`/home/bpm/rpmbuild/BUILD/evolution-1.4.5/e-util'
make[2]: *** [all] Error 2
make[2]: Leaving directory
`/home/bpm/rpmbuild/BUILD/evolution-1.4.5/e-util'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/bpm/rpmbuild/BUILD/evolution-1.4.5'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.29176 (%build)
 
 
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.29176 (%build)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.take a current updated fedora core 1.90
2.get the evolution-1.4.5-7.src.rpm
3.rpmbuild --rebuild evolution-1.4.5-7.src.rpm
4.read error message.
    

Actual Results:  read the description.

Expected Results:  That it would compile.

Additional info:
Comment 1 Brian Millett 2004-03-04 15:53:43 EST
Well, the saga continues.  After the updated today (03/04/04), I tried
to recompile the evolution-1.4.5-7.src.rpm, but failed differently. 
Message is "error: evolution requires pilot-link to have working UTF-8
conversion routines".  Ok, I looked in the config.log file and see
that it is a problem with libgnomeui-2 with undefined reference to
`gtk_file_chooser_set_folder_mode'.  There is a gnome bug
http://mail.gnome.org/archives/garnome-list/2004-March/msg00005.html
that is the same undefined reference.

I hope this helps someone.

configure:13993: gcc -o conftest -O2 -mcpu=pentiumpro -DORBIT2=1
-pthread -I/usr/include/libgnome-2.0 -I/usr/include/libgnomeui-2.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0
-I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0
-I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0
-I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0
-I/usr/include/libart-2.0 -I/usr/include/libbonoboui-2.0
-I/usr/include/pango-1.0 -I/usr/include/freetype2
-I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/X11R6/include
-I/usr/include/libxml2     -pthread -Wl,--export-dynamic
-L/usr/X11R6/lib -lgpilotd -lgpilotdcm -lgpilotdconduit -lpisock
-lpisync -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lxml2 -lpthread -lz
-lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2 -lpangoft2-1.0
-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0
-lpangox-1.0 -lpango-1.0 -lbonobo-2 -lgconf-2 -lgnomevfs-2
-lbonobo-activation -lORBit-2 -lgobject-2.0 -lgthread-2.0 -lm
-lgmodule-2.0 -ldl -lglib-2.0   conftest.c  >&5
/usr/lib/gcc-lib/i386-redhat-linux/3.3.3/../../../libgnomeui-2.so:
undefined reference to `gtk_file_chooser_set_folder_mode'
collect2: ld returned 1 exit status
configure:13996: $? = 1
configure: program exited with status 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "evolution"
| #define PACKAGE_TARNAME "evolution"
| #define PACKAGE_VERSION "1.4.5"
| #define PACKAGE_STRING "evolution 1.4.5"
| #define PACKAGE_BUGREPORT
"http://bugzilla.ximian.com/enter_bug.cgi?product=Evolution"
| #define PACKAGE "evolution"
| #define VERSION "1.4.5"
| #define VERSION_COMMENT ""
| #define YYTEXT_POINTER 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LOCALE_H 1
| #define HAVE_LC_MESSAGES 1
| #define HAVE_BIND_TEXTDOMAIN_CODESET 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define ENABLE_NLS 1
| #define GETTEXT_PACKAGE "evolution-1.4"
| #define HAVE_DLFCN_H 1
| #define HAVE_ALLOCA_H 1
| #define SENDMAIL_PATH "/usr/sbin/sendmail"
| #define SYSTEM_MAIL_DIR "/var/spool/mail"
| #define HAVE_TM_GMTOFF 1
| #define HAVE_MKSTEMP 1
| #define HAVE_MKDTEMP 1
| #define HAVE_ISBLANK 1
| #define HAVE_GETHOSTBYNAME_R 1
| #define HAVE_GETHOSTBYADDR_R 1
| #define ENABLE_IPv6 1
| #define EVOLUTION_DB_VERSION_MAJOR 3
| #define EVOLUTION_DB_VERSION_MINOR 1
| #define EVOLUTION_DB_VERSION_PATCH 17
| #define HAVE_DB_H 1
| #define HAVE_LDAP 1
| #define ENABLE_THREADS 1
| #define USE_FCNTL 1
| /* end confdefs.h.  */
| 
| 
| #include <stdlib.h>
| #include <string.h>
| #include <pi-util.h>
| 
| int main (int argc, char **argv)
| {
| 	const char *utf8 = "\x66\x66\x66\x66\x66\x66\x66\xC2\xA9";
| 	size_t utf8_real_len = strlen (utf8);
| 	char *pstring;
| 
| 	if (convert_ToPilotChar ("UTF-8", utf8, utf8_real_len, &pstring) == -1)
| 		exit (1);
| 
| 	exit (0);
| }
| 
configure:14015: result: no
configure:14022: error: evolution requires pilot-link to have working
UTF-8 conversion routines

Note You need to log in before you can comment on or make changes to this bug.